Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 687992 - games-arcade/netris fails to build with sys-libs/ncurses[tinfo]
Summary: games-arcade/netris fails to build with sys-libs/ncurses[tinfo]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PATCH
: 689934 (view as bug list)
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2019-06-13 11:04 UTC by Raimonds Cicans
Modified: 2019-07-30 07:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Bugfix patch (netris-0.52-ltinfo.patch,453 bytes, patch)
2019-06-13 11:04 UTC, Raimonds Cicans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raimonds Cicans 2019-06-13 11:04:10 UTC
Created attachment 579698 [details, diff]
Bugfix patch

Package games-arcade/netris fails to build (link) if package sys-libs/ncurses:0/6 is built with "tinfo" USE flag.

Cause: netris is last updated by upstream 15 years ago. At that time there was no split library feature in ncurses. This feature causes link phase to fail, because netris build script expects single ncurses library.

Fix: provided patch

Sorry for not providing any environment / log files.
I had problem on at least three AMD64 computers with different profiles.
I do not know from which one I should provide such information.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2019-07-16 07:08:23 UTC
*** Bug 689934 has been marked as a duplicate of this bug. ***
Comment 2 Piotr Szymaniak 2019-07-24 21:32:41 UTC
>>> Compiling source in /var/tmp/portage/games-arcade/netris-0.52-r2/work/netris-0.52 ...
make -j5
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c game.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c curses.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c shapes.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c board.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c util.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c inet.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c robot.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c version.c
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -c sr.c
x86_64-pc-linux-gnu-gcc -o netris game.o curses.o shapes.o board.o util.o inet.o robot.o version.o -Wl,-O1 -Wl,--as-needed -lncurses -lnsl
/usr/lib/gcc/x86_64-pc-linux-gnu/8.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: curses.o: undefined reference to symbol 'stdscr'
/usr/lib/gcc/x86_64-pc-linux-gnu/8.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: /lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make: *** [Makefile:19: netris] Error 1
make: *** Waiting for unfinished jobs....
 * ERROR: games-arcade/netris-0.52-r2::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=games-arcade/netris-0.52-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=games-arcade/netris-0.52-r2::gentoo'`.
 * The complete build log is located at '/var/log/portage/games-arcade:netris-0.52-r2:20190724-210359.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/games-arcade/netris-0.52-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/games-arcade/netris-0.52-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/games-arcade/netris-0.52-r2/work/netris-0.52'
 * S: '/var/tmp/portage/games-arcade/netris-0.52-r2/work/netris-0.52'
Comment 3 Piotr Szymaniak 2019-07-24 21:33:17 UTC
~ # emerge --info '=games-arcade/netris-0.52-r2::gentoo'
Portage 2.3.66 (python 3.6.5-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-8.3.0, glibc-2.29-r2, 5.2.1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.2.1-x86_64-Intel-R-_Core-TM-_i5-2400_CPU_@_3.10GHz-with-gentoo-2.6
KiB Mem:    24619144 total,  21654964 free
KiB Swap:    4194300 total,   4194300 free
Head commit of repository gentoo: 78bbce2bbe7f81596cc75e5ea83e755e9f130bbe

sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.31.1 p7) 2.31.1
app-shells/bash:          4.4_p23-r1::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r6::gentoo, 2.32-r1::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo, 8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://anongit.gentoo.org/repo/gentoo.git
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acpi activities aes alsa amd64 avx bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit crypt cups curl cxx dbus declarative dri dts dvd dvdr emboss encode exif faac faad fam ffmpeg flac fortran ftp gdbm gif glamor glib gpm gstreamer gtk iconv icu infinality inotify ipv6 joystick jpeg kde kipi kwallet lame lcdfilter lcms ldap libnotify libtirpc lzma mad mmx mmxext mng mp3 mp4 mpeg multilib musepack ncurses nls nptl ogg opengl openmp pam pango pch pcre pdf phonon plasma png policykit popcnt ppds qml qt5 readline sdl seccomp semantic-desktop sndfile spamassassin spell split-usr sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd threads tiff timidity truetype udev udisks unicode upower usb vorbis wavpack widgets win32codecs wxwidgets x264 xattr xcb xcomposite xinerama xml xv xvid zlib" ABI_X86="32 64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="pl en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Piotr Szymaniak 2019-07-24 21:34:25 UTC
~ # emerge -pqv '=games-arcade/netris-0.52-r2::gentoo'
[ebuild     U ] games-arcade/netris-0.52-r2 [0.52-r1]
~ # emerge -pqv ncurses
[ebuild   R   ] sys-libs/ncurses-6.1_p20181020  USE="cxx gpm (split-usr) threads (tinfo) unicode -ada -debug -doc -minimal -profile -static-libs -test -trace" ABI_X86="32 (64) (-x32)"
Comment 5 Larry the Git Cow gentoo-dev 2019-07-30 07:26:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f852753fbcded429107d55b542666b8c31e4df3e

commit f852753fbcded429107d55b542666b8c31e4df3e
Author:     Stefan Strogin <steils@gentoo.org>
AuthorDate: 2019-07-30 07:18:13 +0000
Commit:     Stefan Strogin <steils@gentoo.org>
CommitDate: 2019-07-30 07:26:06 +0000

    games-arcade/netris: add patch to build with ncurses[tinfo]
    
    - Update Debian patchset
    - EAPI=7
    
    Closes: https://bugs.gentoo.org/687992
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Stefan Strogin <steils@gentoo.org>

 games-arcade/netris/Manifest                               |  2 +-
 games-arcade/netris/files/netris-0.52-tinfo.patch          | 14 ++++++++++++++
 .../{netris-0.52-r2.ebuild => netris-0.52-r3.ebuild}       | 13 +++++++------
 3 files changed, 22 insertions(+), 7 deletions(-)